/* SWITCH */
form div.ns-switch {
	height:24px;
	width:44px;
	border:1px solid var(--border-color);
	border-radius:12px;
	cursor:pointer;
	transition:border .3s;
	background-color: var(--input-bg-color);
}
form div.ns-switch:hover {
	border:1px solid var(--border-hover-color);
}
form div.ns-switch::after {
	position:absolute;
	content:'';
	border-radius:50%;
	position: absolute;
	top:2px;
	left:2px;
	width:18px;
	height:18px;
	background-color:var(--form-switch-off);
	transition:all .2s ease 0s;
}
form div.ns-switch.on::after {
	background-color:var(--form-switch-on);
	left:22px;
}
/* readonly */
form ul.choices[readonly] + div.ns-switch,
form ul.choices[disabled] + div.ns-switch {
	background-color:var(--readonly-color) !important;
	pointer-events: none !important;
	cursor: default;
}
form ul.choices[disabled] + div.ns-switch {
	opacity:.5;
}